plotRcms = function()
{
	rcms = read.csv("tt_rcms.txt",sep="\t",header=FALSE)
	n = dim(rcms)[1]
	m = dim(rcms)[2]-1
	rcms= rcms[1:n,1:m]
	loci = 0
	while(m > 0)
	{
		if(rcms[1,1]=="MC")
		{
			m    = m - 1
			rcm  = NA
			rcms = rcms[,-(1:1),drop = FALSE]
			plotMC(rcm,loci)
		}
		else if(rcms[1,1]=="DM")
		{
			m    = m - 3
			rcm  = array(as.numeric(as.matrix(rcms[,2:3])),c(n,3))
			rcms = rcms[,-(1:3),drop = FALSE]
			plotDM(rcm,loci)
		}
		else if(rcms[1,1]=="UEX")
		{
			m    = m - 1
			rcm  = NA
			rcms = rcms[,-(1:1),drop = FALSE]
			plotUEX(rcm,loci)
		}
		else if(rcms[1,1]=="ULN")
		{
			m    = m - 3
			rcm  = array(as.numeric(as.matrix(rcms[,2:3])),c(n,3))
			rcms = rcms[,-(1:3),drop = FALSE]
			plotULN(rcm,loci)
		}
		else if(rcms[1,1]=="CPP")
		{
			m    = m - 6
			rcm  = array(as.numeric(as.matrix(rcms[,2:6])),c(n,6))
			rcms = rcms[,-(1:6),drop = FALSE]
			plotCPP(rcm,loci)
		}
		loci = loci + 1
	}
}

plotMC = function(rcm,loci)
{
	mn  = paste("Molecular clock model, Loci ", loci)
	xlb = "No parameters"
	ylb = ""
	plot(NA ,main=mn, xlab=xlb, ylab=ylb, xlim=c(0,0), ylim=c(0,0),xaxt="n",yaxt="n")
}

plotDM = function(rcm,loci)
{
	mn  = paste("Dirichlet model, Loci", loci)
	xlb = "Number of sampled state"
	ylb = "Estimated variance of rate multipliers"
	ylm = range(c(rcm[1,1],rcm[,2]))
	plot(rcm[,2],main=mn, xlab=xlb, ylab=ylb, ylim = ylm)
	abline(h=rcm[1,1],col="red")
}

plotUEX = function(rcm,loci)
{
	mn  = paste("Uncorrelated exponential model, Loci ", loci)
	xlb = "No parameters"
	ylb = ""
	plot(NA ,main=mn, xlab=xlb, ylab=ylb, xlim=c(0,1), ylim=c(0,1),xaxt="n",yaxt="n")
}

plotULN = function(rcm,loci)
{
	mn  = paste("Uncorrelated lognormal model, Loci", loci)
	xlb = "Number of sampled state"
	ylb = "Estimated variance of rate multipliers"
	ylm = range(c(rcm[1,1],rcm[,2]))
	plot(rcm[,2],main=mn, xlab=xlb, ylab=ylb, ylim = ylm)
	abline(h=rcm[1,1],col="red")
}


plotCPP = function(rcm,loci)
{
	par(mfrow=c(2,2))
	mn  = paste("Compound poisson process, Loci", loci)
	xlb = "Number of sampled state"
	ylb = "Intensity of rate change process"
	ylm = range(c(rcm[1,1],rcm[,2]))
	plot(rcm[,2],main=mn, xlab=xlb, ylab=ylb, ylim = ylm)
	abline(h=rcm[1,1],col="red")
	mn  = paste("Compound poisson process, Loci", loci)
	ylb = "Number of change points"
	plot(rcm[,5],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Compound poisson process, Loci", loci)
	ylb = "Parameter alpha"
	plot(rcm[,3],main=mn, xlab=xlb, ylab=ylb)
	mn  = paste("Compound poisson process, Loci", loci)
	ylb = "Parameter beta"
	plot(rcm[,4],main=mn, xlab=xlb, ylab=ylb)
	par(mfrow=c(1,1))
}
